diff --git a/dirsrvtests/tests/suites/dynamic-plugins/test_dynamic_plugins.py b/dirsrvtests/tests/suites/dynamic-plugins/test_dynamic_plugins.py
index 2a038a9..968b3ec 100644
--- a/dirsrvtests/tests/suites/dynamic-plugins/test_dynamic_plugins.py
+++ b/dirsrvtests/tests/suites/dynamic-plugins/test_dynamic_plugins.py
@@ -1,5 +1,5 @@
 # --- BEGIN COPYRIGHT BLOCK ---
-# Copyright (C) 2015 Red Hat, Inc.
+# Copyright (C) 2016 Red Hat, Inc.
 # All rights reserved.
 #
 # License: GPL (version 3 or any later version).
@@ -26,56 +26,15 @@ from lib389._constants import *
 from lib389.properties import *
 from lib389.tasks import *
 
-log = logging.getLogger(__name__)
-
-class TopologyStandalone(object):
-    def __init__(self, standalone):
-        standalone.open()
-        self.standalone = standalone
-
 
 def repl_fail(replica):
-    # remove replica instance, and assert failure
+    """Remove replica instance, and assert failure"""
+
     replica.delete()
     assert False
 
 
-@pytest.fixture(scope="module")
-def topology(request):
-    '''
-        This fixture is used to standalone topology for the 'module'.
-    '''
-    standalone = DirSrv(verbose=False)
-
-    # Args for the standalone instance
-    args_instance[SER_HOST] = HOST_STANDALONE
-    args_instance[SER_PORT] = PORT_STANDALONE
-    args_instance[SER_SERVERID_PROP] = SERVERID_STANDALONE
-    args_standalone = args_instance.copy()
-    standalone.allocate(args_standalone)
-
-    # Get the status of the instance and restart it if it exists
-    instance_standalone = standalone.exists()
-
-    # Remove the instance
-    if instance_standalone:
-        standalone.delete()
-
-    # Create the instance
-    standalone.create()
-
-    # Used to retrieve configuration information (dbdir, confdir...)
-    standalone.open()
-
-    def fin():
-        standalone.delete()
-    request.addfinalizer(fin)
-
-    # Here we have standalone instance up and running
-    return TopologyStandalone(standalone)
-
-
-def test_dynamic_plugins(topology):
+def test_dynamic_plugins(topology_st):
     """
         Test Dynamic Plugins - exercise each plugin and its main features, while
         changing the configuration without restarting the server.
@@ -97,7 +56,6 @@ def test_dynamic_plugins(topology):
         Stress - Put the server under load that will trigger multiple plugins(MO, RI, DNA, etc)
                  Restart various plugins while these operations are going on.  Perform this test
                  5 times(stress_max_run).
-
     """
 
     REPLICA_PORT = 33334
@@ -110,14 +68,14 @@ def test_dynamic_plugins(topology):
 
     # First enable dynamic plugins
     try:
-        topology.standalone.modify_s(DN_CONFIG, [(ldap.MOD_REPLACE, 'nsslapd-dynamic-plugins', 'on')])
+        topology_st.standalone.modify_s(DN_CONFIG, [(ldap.MOD_REPLACE, 'nsslapd-dynamic-plugins', 'on')])
     except ldap.LDAPError as e:
         ldap.fatal('Failed to enable dynamic plugin!' + e.message['desc'])
         assert False
 
     # Test that critical plugins can be updated even though the change might not be applied
     try:
-        topology.standalone.modify_s(DN_LDBM, [(ldap.MOD_REPLACE, 'description', 'test')])
+        topology_st.standalone.modify_s(DN_LDBM, [(ldap.MOD_REPLACE, 'description', 'test')])
     except ldap.LDAPError as e:
         ldap.fatal('Failed to apply change to critical plugin' + e.message['desc'])
         assert False
@@ -135,7 +93,7 @@ def test_dynamic_plugins(topology):
         log.info('Testing Dynamic Plugins Functionality' + msg + '...')
         log.info('####################################################################\n')
 
-        plugin_tests.test_all_plugins(topology.standalone)
+        plugin_tests.test_all_plugins(topology_st.standalone)
 
         log.info('####################################################################')
         log.info('Successfully Tested Dynamic Plugins Functionality' + msg + '.')
@@ -155,20 +113,20 @@ def test_dynamic_plugins(topology):
             #
             # Restart the plugin several times (and prev plugins) - work that linked list
             #
-            plugin_test(topology.standalone, "restart")
+            plugin_test(topology_st.standalone, "restart")
 
             if prev_prev_plugin_test:
-                prev_prev_plugin_test(topology.standalone, "restart")
+                prev_prev_plugin_test(topology_st.standalone, "restart")
 
-            plugin_test(topology.standalone, "restart")
+            plugin_test(topology_st.standalone, "restart")
 
             if prev_plugin_test:
-                prev_plugin_test(topology.standalone, "restart")
+                prev_plugin_test(topology_st.standalone, "restart")
 
-            plugin_test(topology.standalone, "restart")
+            plugin_test(topology_st.standalone, "restart")
 
             # Now run the functional test
-            plugin_test(topology.standalone)
+            plugin_test(topology_st.standalone)
 
             # Set the previous tests
             if prev_plugin_test:
@@ -188,8 +146,8 @@ def test_dynamic_plugins(topology):
         log.info('Stressing Dynamic Plugins' + msg + '...')
         log.info('####################################################################\n')
 
-        stress_tests.configureMO(topology.standalone)
-        stress_tests.configureRI(topology.standalone)
+        stress_tests.configureMO(topology_st.standalone)
+        stress_tests.configureRI(topology_st.standalone)
 
         stress_count = 0
         while stress_count < stress_max_runs:
@@ -199,37 +157,37 @@ def test_dynamic_plugins(topology):
 
             try:
                 # Launch three new threads to add a bunch of users
-                add_users = stress_tests.AddUsers(topology.standalone, 'employee', True)
+                add_users = stress_tests.AddUsers(topology_st.standalone, 'employee', True)
                 add_users.start()
-                add_users2 = stress_tests.AddUsers(topology.standalone, 'entry', True)
+                add_users2 = stress_tests.AddUsers(topology_st.standalone, 'entry', True)
                 add_users2.start()
-                add_users3 = stress_tests.AddUsers(topology.standalone, 'person', True)
+                add_users3 = stress_tests.AddUsers(topology_st.standalone, 'person', True)
                 add_users3.start()
                 time.sleep(1)
 
                 # While we are adding users restart the MO plugin and an idle plugin
-                topology.standalone.plugins.disable(name=PLUGIN_MEMBER_OF)
-                topology.standalone.plugins.enable(name=PLUGIN_MEMBER_OF)
+                topology_st.standalone.plugins.disable(name=PLUGIN_MEMBER_OF)
+                topology_st.standalone.plugins.enable(name=PLUGIN_MEMBER_OF)
                 time.sleep(1)
-                topology.standalone.plugins.disable(name=PLUGIN_MEMBER_OF)
+                topology_st.standalone.plugins.disable(name=PLUGIN_MEMBER_OF)
                 time.sleep(1)
-                topology.standalone.plugins.enable(name=PLUGIN_MEMBER_OF)
-                topology.standalone.plugins.disable(name=PLUGIN_LINKED_ATTRS)
-                topology.standalone.plugins.enable(name=PLUGIN_LINKED_ATTRS)
+                topology_st.standalone.plugins.enable(name=PLUGIN_MEMBER_OF)
+                topology_st.standalone.plugins.disable(name=PLUGIN_LINKED_ATTRS)
+                topology_st.standalone.plugins.enable(name=PLUGIN_LINKED_ATTRS)
                 time.sleep(1)
-                topology.standalone.plugins.disable(name=PLUGIN_MEMBER_OF)
-                topology.standalone.plugins.enable(name=PLUGIN_MEMBER_OF)
+                topology_st.standalone.plugins.disable(name=PLUGIN_MEMBER_OF)
+                topology_st.standalone.plugins.enable(name=PLUGIN_MEMBER_OF)
                 time.sleep(2)
-                topology.standalone.plugins.disable(name=PLUGIN_MEMBER_OF)
+                topology_st.standalone.plugins.disable(name=PLUGIN_MEMBER_OF)
                 time.sleep(1)
-                topology.standalone.plugins.enable(name=PLUGIN_MEMBER_OF)
-                topology.standalone.plugins.disable(name=PLUGIN_LINKED_ATTRS)
-                topology.standalone.plugins.enable(name=PLUGIN_LINKED_ATTRS)
-                topology.standalone.plugins.disable(name=PLUGIN_MEMBER_OF)
+                topology_st.standalone.plugins.enable(name=PLUGIN_MEMBER_OF)
+                topology_st.standalone.plugins.disable(name=PLUGIN_LINKED_ATTRS)
+                topology_st.standalone.plugins.enable(name=PLUGIN_LINKED_ATTRS)
+                topology_st.standalone.plugins.disable(name=PLUGIN_MEMBER_OF)
                 time.sleep(1)
-                topology.standalone.plugins.enable(name=PLUGIN_MEMBER_OF)
-                topology.standalone.plugins.disable(name=PLUGIN_MEMBER_OF)
-                topology.standalone.plugins.enable(name=PLUGIN_MEMBER_OF)
+                topology_st.standalone.plugins.enable(name=PLUGIN_MEMBER_OF)
+                topology_st.standalone.plugins.disable(name=PLUGIN_MEMBER_OF)
+                topology_st.standalone.plugins.enable(name=PLUGIN_MEMBER_OF)
 
                 # Wait for the 'adding' threads to complete
                 add_users.join()
@@ -237,43 +195,43 @@ def test_dynamic_plugins(topology):
                 add_users3.join()
 
                 # Now launch three threads to delete the users
-                del_users = stress_tests.DelUsers(topology.standalone, 'employee')
+                del_users = stress_tests.DelUsers(topology_st.standalone, 'employee')
                 del_users.start()
-                del_users2 = stress_tests.DelUsers(topology.standalone, 'entry')
+                del_users2 = stress_tests.DelUsers(topology_st.standalone, 'entry')
                 del_users2.start()
-                del_users3 = stress_tests.DelUsers(topology.standalone, 'person')
+                del_users3 = stress_tests.DelUsers(topology_st.standalone, 'person')
                 del_users3.start()
                 time.sleep(1)
 
                 # Restart both the MO, RI plugins during these deletes, and an idle plugin
-                topology.standalone.plugins.disable(name=PLUGIN_REFER_INTEGRITY)
-                topology.standalone.plugins.disable(name=PLUGIN_MEMBER_OF)
-                topology.standalone.plugins.enable(name=PLUGIN_MEMBER_OF)
-                topology.standalone.plugins.enable(name=PLUGIN_REFER_INTEGRITY)
+                topology_st.standalone.plugins.disable(name=PLUGIN_REFER_INTEGRITY)
+                topology_st.standalone.plugins.disable(name=PLUGIN_MEMBER_OF)
+                topology_st.standalone.plugins.enable(name=PLUGIN_MEMBER_OF)
+                topology_st.standalone.plugins.enable(name=PLUGIN_REFER_INTEGRITY)
                 time.sleep(1)
-                topology.standalone.plugins.disable(name=PLUGIN_REFER_INTEGRITY)
+                topology_st.standalone.plugins.disable(name=PLUGIN_REFER_INTEGRITY)
                 time.sleep(1)
-                topology.standalone.plugins.disable(name=PLUGIN_MEMBER_OF)
+                topology_st.standalone.plugins.disable(name=PLUGIN_MEMBER_OF)
                 time.sleep(1)
-                topology.standalone.plugins.enable(name=PLUGIN_MEMBER_OF)
+                topology_st.standalone.plugins.enable(name=PLUGIN_MEMBER_OF)
                 time.sleep(1)
-                topology.standalone.plugins.enable(name=PLUGIN_REFER_INTEGRITY)
-                topology.standalone.plugins.disable(name=PLUGIN_LINKED_ATTRS)
-                topology.standalone.plugins.enable(name=PLUGIN_LINKED_ATTRS)
-                topology.standalone.plugins.disable(name=PLUGIN_REFER_INTEGRITY)
-                topology.standalone.plugins.disable(name=PLUGIN_MEMBER_OF)
-                topology.standalone.plugins.enable(name=PLUGIN_MEMBER_OF)
-                topology.standalone.plugins.enable(name=PLUGIN_REFER_INTEGRITY)
+                topology_st.standalone.plugins.enable(name=PLUGIN_REFER_INTEGRITY)
+                topology_st.standalone.plugins.disable(name=PLUGIN_LINKED_ATTRS)
+                topology_st.standalone.plugins.enable(name=PLUGIN_LINKED_ATTRS)
+                topology_st.standalone.plugins.disable(name=PLUGIN_REFER_INTEGRITY)
+                topology_st.standalone.plugins.disable(name=PLUGIN_MEMBER_OF)
+                topology_st.standalone.plugins.enable(name=PLUGIN_MEMBER_OF)
+                topology_st.standalone.plugins.enable(name=PLUGIN_REFER_INTEGRITY)
                 time.sleep(2)
-                topology.standalone.plugins.disable(name=PLUGIN_REFER_INTEGRITY)
+                topology_st.standalone.plugins.disable(name=PLUGIN_REFER_INTEGRITY)
                 time.sleep(1)
-                topology.standalone.plugins.disable(name=PLUGIN_MEMBER_OF)
+                topology_st.standalone.plugins.disable(name=PLUGIN_MEMBER_OF)
                 time.sleep(1)
-                topology.standalone.plugins.enable(name=PLUGIN_MEMBER_OF)
+                topology_st.standalone.plugins.enable(name=PLUGIN_MEMBER_OF)
                 time.sleep(1)
-                topology.standalone.plugins.enable(name=PLUGIN_REFER_INTEGRITY)
-                topology.standalone.plugins.disable(name=PLUGIN_LINKED_ATTRS)
-                topology.standalone.plugins.enable(name=PLUGIN_LINKED_ATTRS)
+                topology_st.standalone.plugins.enable(name=PLUGIN_REFER_INTEGRITY)
+                topology_st.standalone.plugins.disable(name=PLUGIN_LINKED_ATTRS)
+                topology_st.standalone.plugins.enable(name=PLUGIN_LINKED_ATTRS)
 
                 # Wait for the 'deleting' threads to complete
                 del_users.join()
@@ -281,11 +239,11 @@ def test_dynamic_plugins(topology):
                 del_users3.join()
 
                 # Now make sure both the MO and RI plugins still work correctly
-                plugin_tests.func_tests[8](topology.standalone)  # RI plugin
-                plugin_tests.func_tests[5](topology.standalone)  # MO plugin
+                plugin_tests.func_tests[8](topology_st.standalone)  # RI plugin
+                plugin_tests.func_tests[5](topology_st.standalone)  # MO plugin
 
                 # Cleanup the stress tests
-                stress_tests.cleanup(topology.standalone)
+                stress_tests.cleanup(topology_st.standalone)
 
             except:
                 log.info('Stress test failed!')
@@ -319,29 +277,29 @@ def test_dynamic_plugins(topology):
             replica_inst.open()
 
             try:
-                topology.standalone.replica.enableReplication(suffix=DEFAULT_SUFFIX,
-                                                              role=REPLICAROLE_MASTER,
-                                                              replicaId=1)
+                topology_st.standalone.replica.enableReplication(suffix=DEFAULT_SUFFIX,
+                                                                 role=REPLICAROLE_MASTER,
+                                                                 replicaId=1)
                 replica_inst.replica.enableReplication(suffix=DEFAULT_SUFFIX,
-                                                              role=REPLICAROLE_CONSUMER,
-                                                              replicaId=65535)
+                                                       role=REPLICAROLE_CONSUMER,
+                                                       replicaId=65535)
                 properties = {RA_NAME: r'to_replica',
                               RA_BINDDN: defaultProperties[REPLICATION_BIND_DN],
                               RA_BINDPW: defaultProperties[REPLICATION_BIND_PW],
                               RA_METHOD: defaultProperties[REPLICATION_BIND_METHOD],
                               RA_TRANSPORT_PROT: defaultProperties[REPLICATION_TRANSPORT]}
 
-                repl_agreement = topology.standalone.agreement.create(suffix=DEFAULT_SUFFIX,
-                                                                      host=LOCALHOST,
-                                                                      port=REPLICA_PORT,
-                                                                      properties=properties)
+                repl_agreement = topology_st.standalone.agreement.create(suffix=DEFAULT_SUFFIX,
+                                                                         host=LOCALHOST,
+                                                                         port=REPLICA_PORT,
+                                                                         properties=properties)
 
                 if not repl_agreement:
                     log.fatal("Fail to create a replica agreement")
                     repl_fail(replica_inst)
 
-                topology.standalone.agreement.init(DEFAULT_SUFFIX, LOCALHOST, REPLICA_PORT)
-                topology.standalone.waitForReplInit(repl_agreement)
+                topology_st.standalone.agreement.init(DEFAULT_SUFFIX, LOCALHOST, REPLICA_PORT)
+                topology_st.standalone.waitForReplInit(repl_agreement)
             except:
                 log.info('Failed to setup replication!')
                 repl_fail(replica_inst)
@@ -358,7 +316,7 @@ def test_dynamic_plugins(topology):
 
     try:
         # Grab master's max CSN
-        entry = topology.standalone.search_s(DEFAULT_SUFFIX, ldap.SCOPE_SUBTREE, RUV_FILTER)
+        entry = topology_st.standalone.search_s(DEFAULT_SUFFIX, ldap.SCOPE_SUBTREE, RUV_FILTER)
         if not entry:
             log.error('Failed to find db tombstone entry from master')
             repl_fail(replica_inst)
@@ -423,9 +381,9 @@ def test_dynamic_plugins(topology):
 
     # Check the master
     try:
-        entries = topology.standalone.search_s(DEFAULT_SUFFIX,
-                                        ldap.SCOPE_SUBTREE,
-                                        "(|(uid=person*)(uid=entry*)(uid=employee*))")
+        entries = topology_st.standalone.search_s(DEFAULT_SUFFIX,
+                                                  ldap.SCOPE_SUBTREE,
+                                                  "(|(uid=person*)(uid=entry*)(uid=employee*))")
         if len(entries) > 0:
             log.error('Master database has incorrect data set!\n')
             repl_fail(replica_inst)
diff --git a/dirsrvtests/tests/suites/filter/filter_test.py b/dirsrvtests/tests/suites/filter/filter_test.py
index 1601c23..c33b6fd 100644
--- a/dirsrvtests/tests/suites/filter/filter_test.py
+++ b/dirsrvtests/tests/suites/filter/filter_test.py
@@ -1,5 +1,5 @@
 # --- BEGIN COPYRIGHT BLOCK ---
-# Copyright (C) 2015 Red Hat, Inc.
+# Copyright (C) 2016 Red Hat, Inc.
 # All rights reserved.
 #
 # License: GPL (version 3 or any later version).
@@ -21,50 +21,8 @@ from lib389.tasks import *
 logging.getLogger(__name__).setLevel(logging.DEBUG)
 log = logging.getLogger(__name__)
 
-installation1_prefix = None
 
-
-class TopologyStandalone(object):
-    def __init__(self, standalone):
-        standalone.open()
-        self.standalone = standalone
-
-
-@pytest.fixture(scope="module")
-def topology(request):
-    global installation1_prefix
-    if installation1_prefix:
-        args_instance[SER_DEPLOYED_DIR] = installation1_prefix
-
-    # Creating standalone instance ...
-    standalone = DirSrv(verbose=False)
-    args_instance[SER_HOST] = HOST_STANDALONE
-    args_instance[SER_PORT] = PORT_STANDALONE
-    args_instance[SER_SERVERID_PROP] = SERVERID_STANDALONE
-    args_instance[SER_CREATION_SUFFIX] = DEFAULT_SUFFIX
-    args_standalone = args_instance.copy()
-    standalone.allocate(args_standalone)
-    instance_standalone = standalone.exists()
-    if instance_standalone:
-        standalone.delete()
-    standalone.create()
-    standalone.open()
-
-    def fin():
-        standalone.delete()
-    request.addfinalizer(fin)
-
-    return TopologyStandalone(standalone)
-
-
-def test_filter_init(topology):
-    '''
-    Write your testcase here...
-    '''
-    return
-
-
-def test_filter_escaped(topology):
+def test_filter_escaped(topology_st):
     '''
     Test we can search for an '*' in a attribute value.
     '''
@@ -75,7 +33,7 @@ def test_filter_escaped(topology):
     USER2_DN = 'uid=test_entry2,' + DEFAULT_SUFFIX
 
     try:
-        topology.standalone.add_s(Entry((USER1_DN, {'objectclass': "top extensibleObject".split(),
+        topology_st.standalone.add_s(Entry((USER1_DN, {'objectclass': "top extensibleObject".split(),
                                  'sn': '1',
                                  'cn': 'test * me',
                                  'uid': 'test_entry',
@@ -86,7 +44,7 @@ def test_filter_escaped(topology):
         assert False
 
     try:
-        topology.standalone.add_s(Entry((USER2_DN, {'objectclass': "top extensibleObject".split(),
+        topology_st.standalone.add_s(Entry((USER2_DN, {'objectclass': "top extensibleObject".split(),
                                  'sn': '2',
                                  'cn': 'test me',
                                  'uid': 'test_entry2',
@@ -96,7 +54,7 @@ def test_filter_escaped(topology):
         assert False
 
     try:
-        entry = topology.standalone.search_s(DEFAULT_SUFFIX, ldap.SCOPE_SUBTREE, 'cn=*\**')
+        entry = topology_st.standalone.search_s(DEFAULT_SUFFIX, ldap.SCOPE_SUBTREE, 'cn=*\**')
         if not entry or len(entry) > 1:
             log.fatal('test_filter_escaped: Entry was not found using "cn=*\**"')
             assert False
@@ -108,7 +66,7 @@ def test_filter_escaped(topology):
     log.info('test_filter_escaped: PASSED')
 
 
-def test_filter_search_original_attrs(topology):
+def test_filter_search_original_attrs(topology_st):
     '''
     Search and request attributes with extra characters.  The returned entry
     should not have these extra characters:  "objectclass EXTRA"
@@ -117,7 +75,7 @@ def test_filter_search_original_attrs(topology):
     log.info('Running test_filter_search_original_attrs...')
 
     try:
-        entry = topology.standalone.search_s(DEFAULT_SUFFIX, ldap.SCOPE_BASE,
+        entry = topology_st.standalone.search_s(DEFAULT_SUFFIX, ldap.SCOPE_BASE,
                                              'objectclass=top', ['objectclass-EXTRA'])
         if entry[0].hasAttr('objectclass-EXTRA'):
             log.fatal('test_filter_search_original_attrs: Entry does not have the original attribute')
diff --git a/dirsrvtests/tests/suites/filter/rfc3673_all_oper_attrs_test.py b/dirsrvtests/tests/suites/filter/rfc3673_all_oper_attrs_test.py
index 0fc207e..a740d65 100644
--- a/dirsrvtests/tests/suites/filter/rfc3673_all_oper_attrs_test.py
+++ b/dirsrvtests/tests/suites/filter/rfc3673_all_oper_attrs_test.py
@@ -17,9 +17,6 @@ from lib389.properties import *
 from lib389.tasks import *
 from lib389.utils import *
 
-logging.getLogger(__name__).setLevel(logging.DEBUG)
-log = logging.getLogger(__name__)
-
 DN_PEOPLE = 'ou=people,%s' % DEFAULT_SUFFIX
 DN_ROOT = ''
 TEST_USER_NAME = 'all_attrs_test'
@@ -28,91 +25,58 @@ TEST_USER_PWD = 'all_attrs_test'
 
 # Suffix for search, Regular user boolean, List of expected attrs
 TEST_PARAMS = [(DN_ROOT, False, [
-                    'aci', 'createTimestamp', 'creatorsName',
-                    'modifiersName', 'modifyTimestamp', 'namingContexts',
-                    'nsBackendSuffix', 'nsUniqueId', 'subschemaSubentry',
-                    'supportedControl', 'supportedExtension',
-                    'supportedFeatures', 'supportedLDAPVersion',
-                    'supportedSASLMechanisms', 'vendorName', 'vendorVersion'
-                ]),
+    'aci', 'createTimestamp', 'creatorsName',
+    'modifiersName', 'modifyTimestamp', 'namingContexts',
+    'nsBackendSuffix', 'nsUniqueId', 'subschemaSubentry',
+    'supportedControl', 'supportedExtension',
+    'supportedFeatures', 'supportedLDAPVersion',
+    'supportedSASLMechanisms', 'vendorName', 'vendorVersion'
+]),
                (DN_ROOT, True, [
-                    'createTimestamp', 'creatorsName',
-                    'modifiersName', 'modifyTimestamp', 'namingContexts',
-                    'nsBackendSuffix', 'nsUniqueId', 'subschemaSubentry',
-                    'supportedControl', 'supportedExtension',
-                    'supportedFeatures', 'supportedLDAPVersion',
-                    'supportedSASLMechanisms', 'vendorName', 'vendorVersion'
-                ]),
+                   'createTimestamp', 'creatorsName',
+                   'modifiersName', 'modifyTimestamp', 'namingContexts',
+                   'nsBackendSuffix', 'nsUniqueId', 'subschemaSubentry',
+                   'supportedControl', 'supportedExtension',
+                   'supportedFeatures', 'supportedLDAPVersion',
+                   'supportedSASLMechanisms', 'vendorName', 'vendorVersion'
+               ]),
                (DN_PEOPLE, False, [
                    'aci', 'createTimestamp', 'creatorsName', 'entrydn',
                    'entryid', 'modifiersName', 'modifyTimestamp',
                    'nsUniqueId', 'numSubordinates', 'parentid'
-                ]),
+               ]),
                (DN_PEOPLE, True, [
                    'createTimestamp', 'creatorsName', 'entrydn',
                    'entryid', 'modifyTimestamp', 'nsUniqueId',
                    'numSubordinates', 'parentid'
-                ]),
+               ]),
                (TEST_USER_DN, False, [
                    'createTimestamp', 'creatorsName', 'entrydn',
                    'entryid', 'modifiersName', 'modifyTimestamp',
                    'nsUniqueId', 'parentid'
-                ]),
+               ]),
                (TEST_USER_DN, True, [
                    'createTimestamp', 'creatorsName', 'entrydn',
                    'entryid', 'modifyTimestamp', 'nsUniqueId', 'parentid'
-                ]),
+               ]),
                (DN_CONFIG, False, ['numSubordinates', 'passwordHistory'])]
 
 
-class TopologyStandalone(object):
-    def __init__(self, standalone):
-        standalone.open()
-        self.standalone = standalone
-
-
-@pytest.fixture(scope="module")
-def topology(request):
-    # Creating standalone instance ...
-    standalone = DirSrv(verbose=False)
-    args_instance[SER_HOST] = HOST_STANDALONE
-    args_instance[SER_PORT] = PORT_STANDALONE
-    args_instance[SER_SERVERID_PROP] = SERVERID_STANDALONE
-    args_instance[SER_CREATION_SUFFIX] = DEFAULT_SUFFIX
-    args_standalone = args_instance.copy()
-    standalone.allocate(args_standalone)
-    instance_standalone = standalone.exists()
-    if instance_standalone:
-        standalone.delete()
-    standalone.create()
-    standalone.open()
-
-    # Delete each instance in the end
-    def fin():
-        standalone.delete()
-    request.addfinalizer(fin)
-
-    # Clear out the tmp dir
-    standalone.clearTmpDir(__file__)
-
-    return TopologyStandalone(standalone)
-
-
 @pytest.fixture(scope="module")
-def test_user(topology):
+def test_user(topology_st):
     """User for binding operation"""
 
     try:
-        topology.standalone.add_s(Entry((TEST_USER_DN, {
-                                         'objectclass': 'top person'.split(),
-                                         'objectclass': 'organizationalPerson',
-                                         'objectclass': 'inetorgperson',
-                                         'cn': TEST_USER_NAME,
-                                         'sn': TEST_USER_NAME,
-                                         'userpassword': TEST_USER_PWD,
-                                         'mail': '%s@redhat.com' % TEST_USER_NAME,
-                                         'uid': TEST_USER_NAME
-                                        })))
+        topology_st.standalone.add_s(Entry((TEST_USER_DN, {
+            'objectclass': 'top person'.split(),
+            'objectclass': 'organizationalPerson',
+            'objectclass': 'inetorgperson',
+            'cn': TEST_USER_NAME,
+            'sn': TEST_USER_NAME,
+            'userpassword': TEST_USER_PWD,
+            'mail': '%s@redhat.com' % TEST_USER_NAME,
+            'uid': TEST_USER_NAME
+        })))
     except ldap.LDAPError as e:
         log.error('Failed to add user (%s): error (%s)' % (TEST_USER_DN,
                                                            e.message['desc']))
@@ -120,7 +84,7 @@ def test_user(topology):
 
 
 @pytest.fixture(scope="module")
-def user_aci(topology):
+def user_aci(topology_st):
     """Deny modifiersName attribute for the test user
     under whole suffix
     """
@@ -129,12 +93,12 @@ def user_aci(topology):
     ACI_ALLOW = '(version 3.0; acl "Deny modifiersName for user"; deny (read)'
     ACI_SUBJECT = ' userdn = "ldap:///%s";)' % TEST_USER_DN
     ACI_BODY = ACI_TARGET + ACI_ALLOW + ACI_SUBJECT
-    topology.standalone.modify_s(DEFAULT_SUFFIX, [(ldap.MOD_ADD,
-                                                   'aci',
-                                                   ACI_BODY)])
+    topology_st.standalone.modify_s(DEFAULT_SUFFIX, [(ldap.MOD_ADD,
+                                                      'aci',
+                                                      ACI_BODY)])
 
 
-def test_supported_features(topology):
+def test_supported_features(topology_st):
     """Verify that OID 1.3.6.1.4.1.4203.1.5.1 is published
     in the supportedFeatures [RFC3674] attribute in the rootDSE.
 
@@ -147,9 +111,9 @@ def test_supported_features(topology):
     :Assert: Value 1.3.6.1.4.1.4203.1.5.1 is presented
     """
 
-    entries = topology.standalone.search_s('', ldap.SCOPE_BASE,
-                                           '(objectClass=*)',
-                                           ['supportedFeatures'])
+    entries = topology_st.standalone.search_s('', ldap.SCOPE_BASE,
+                                              '(objectClass=*)',
+                                              ['supportedFeatures'])
     supported_value = entries[0].data['supportedfeatures']
 
     assert supported_value == ['1.3.6.1.4.1.4203.1.5.1']
@@ -158,7 +122,7 @@ def test_supported_features(topology):
 @pytest.mark.parametrize('add_attr', ['', '*', 'objectClass'])
 @pytest.mark.parametrize('search_suffix,regular_user,oper_attr_list',
                          TEST_PARAMS)
-def test_search_basic(topology, test_user, user_aci, add_attr,
+def test_search_basic(topology_st, test_user, user_aci, add_attr,
                       search_suffix, regular_user, oper_attr_list):
     """Verify that you can get all expected operational attributes
     by a Search Request [RFC2251] with '+' (ASCII 43) filter.
@@ -177,9 +141,9 @@ def test_search_basic(topology, test_user, user_aci, add_attr,
     """
 
     if regular_user:
-        topology.standalone.simple_bind_s(TEST_USER_DN, TEST_USER_PWD)
+        topology_st.standalone.simple_bind_s(TEST_USER_DN, TEST_USER_PWD)
     else:
-        topology.standalone.simple_bind_s(DN_DM, PASSWORD)
+        topology_st.standalone.simple_bind_s(DN_DM, PASSWORD)
 
     search_filter = ['+']
     if add_attr:
@@ -188,9 +152,9 @@ def test_search_basic(topology, test_user, user_aci, add_attr,
     else:
         expected_attrs = sorted(oper_attr_list)
 
-    entries = topology.standalone.search_s(search_suffix, ldap.SCOPE_BASE,
-                                           '(objectclass=*)',
-                                           search_filter)
+    entries = topology_st.standalone.search_s(search_suffix, ldap.SCOPE_BASE,
+                                              '(objectclass=*)',
+                                              search_filter)
     found_attrs = sorted(entries[0].data.keys())
 
     if add_attr == '*':
